1. acida's Avatar
    Hey everyone,

    I have 32GB iPhone 3GS and i wanted to upgrade it to iOS4

    here is what i got using f0recast:



    I am new and i don't really know if it will work or not so I thought some one here could help me out and put me in the right direction.
    Btw, i do not have the original sim card, and i bought the iPhone like this (it has Cydia on it and it works so does it mean its jailbroken... ?)


    Could anyone please tell me first if I can upgrade to iOS 4 or not ? and if it is possible to upgrade could you put me in the right direction ? where to download everything needed....

    Thanks,
    2010-08-12 05:24 PM
  2. Will13's Avatar
    What firmware are you on at the moment?, because your already jailbroken

    Edit: just noticed your on 3.1.3 which you should stay on for now, but try and get blobs saved for 4.0.1 anyway
    Last edited by Will13; 2010-08-12 at 05:36 PM.
    2010-08-12 05:33 PM
  3. acida's Avatar
    What firmware are you on at the moment?, because your already jailbroken

    Edit: just noticed your on 3.1.3 which you should stay on for now, but try and get blobs saved for 4.0.1 anyway
    Thanks for replyin,

    Sorry for asking but what do you mean by saving blobs ?

    and is there any chance of getting my iPhone upgraded to iOS4 soon ? at the moment it is not possible for me right ?
    2010-08-12 05:56 PM
  4. Will13's Avatar
    Download Tinyumbrella, make sure your phone is connected to your pc/mac then click advanced options and you will see iPhone 3GS and then firmware number, click on that find 3GS 4.0.1 and after selecting that click save my shsh, and then you should be able to go to 4.0.1
    2010-08-12 06:04 PM
  5. acida's Avatar
    After I did that, can i upgrade to 4.0.1 then jailbreak my device ?

    do i need to unlock it too ? if so which unlocker is best for me ?
    2010-08-13 02:29 PM
  6. Will13's Avatar
    Well it depends if you get your shsh blobs saved in time, you should of done it yesterday really.. Is there anychance you could launch cydia on your phone and at the top of the screen it says, this device as SHSH on file, well which firmwares does it say after that?
    2010-08-13 02:37 PM
  7. acida's Avatar
    at the moment i dont have wireless connection here, once i could get in i will reply.

    around last week i pressed the make my life easier thingy on cydia if that helps,
    but i will reply once i could get in again
    2010-08-13 02:48 PM
  8. Will13's Avatar
    Ahh that's good, it would of saved your blobs
    2010-08-13 02:56 PM
  9. acida's Avatar
    I just got connection and opened up Cydia but on the top it says "This device has a pending TSS request"

    thats bad isnt it :-s ?
    2010-08-13 03:03 PM
  10. Will13's Avatar
    Can be, but just leave it open and it might complete, also try and get them with Tinyumbrella asap
    2010-08-13 03:07 PM
  11. acida's Avatar
    ok i just got the SHSH file using TinyUmbrella for iPhone 3GS 4.0.1,

    so now i need to wait for Cydia to finish my request ?
    2010-08-13 03:20 PM
  12. Will13's Avatar
    Well if you got them, you need to download the 3GS 4.0.1 firmware from here, then when your ready to upgrade let us know
    2010-08-13 03:25 PM
  13. acida's Avatar
    ok thanks for helping Will,

    Im downloading the 4.0.1 for 3GS now, i will reply to this thread when im ready to upgrade
    2010-08-13 03:30 PM
  14. Will13's Avatar
    thought I'd post this now since I might not be on later, when your ready to upgrade, start iTunes and Tinyumbrella, click Start TSS server in tinyumbrella (if that does not work, search google on how to change your host files to cydia's) then Shift+click restore in iTunes pick your 4.0.1 FW you downloaded, once its done that activate it, set up as new phone, then go to Jailbreakme.com on your iPhone, slide to jailbreak, then launch cydia, let it finish loading everything up, do a complete upgrade if it says it needs to update, reboot, then search cydia for ultrasn0w then install that for your unlock
    2010-08-13 11:21 PM
  15. acida's Avatar
    Thanks for the info mate,

    everything is ready, Downloaded the 4.0.1 , got the confirmation on Cydia that i have saved shsh for 4.0 & 4.0.1

    but here is the problem, i thought its better i check if i could get the ultrasn0w installed so i went to cydia but the wierd thing is that my stupid ISP blocks ultrasn0w.com so i need a vpn to pass the blocker and couldn't find it yet so im just waiting for a vpn to pass the ISP's block system for ultrasn0w.

    at last, will everything work fine on this after i upgrade to 4.0.1 and jailbreak using jailbreakme.com and unlock with ultrasn0w ?




    will i lose all my contacts ? and data ?

    sorry that i ask so many questions :-s thats because its my first time upgrading, jailbreaking & unlocking an iPhone
    2010-08-15 12:09 AM
  16. Will13's Avatar
    there is a .org repo too, and by "will everything work fine on this after i upgrade to 4.0.1" what do you mean?, app wise or just in general?, and yes you will lose your data and contacts because your setting it up as a new phone, why I said to set up as a new phone is because you can run into problems otherwise
    2010-08-15 12:28 AM
  17. acida's Avatar
    by saying will it work fine i meant in general would i have some issues with the new os or not,

    and i tried the http://repo666.ultrasn0w.org it works but it gets the "Ultrasn0w version 0.93" , isnt the new version of ultrasn0w 1.1-1 ?
    2010-08-15 02:47 AM
  18. ny888's Avatar
    by saying will it work fine i meant in general would i have some issues with the new os or not,

    and i tried the http://repo666.ultrasn0w.org it works but it gets the "Ultrasn0w version 0.93" , isnt the new version of ultrasn0w 1.1-1 ?
    In general things should be fine but before installing any Cydia apps on iOS4, check the compatibility here - http://modmyi.com/forums/general-iph...lity-list.html

    I think the repo is repo666.ultrasn0w.com, not .org and I might be wrong but the unlock version for iOS4 should be 1.0-1
    Last edited by ny888; 2010-08-15 at 03:06 AM.
    2010-08-15 03:04 AM
  19. Will13's Avatar
    by saying will it work fine i meant in general would i have some issues with the new os or not,

    and i tried the http://repo666.ultrasn0w.org it works but it gets the "Ultrasn0w version 0.93" , isnt the new version of ultrasn0w 1.1-1 ?
    yes in general everything will be fine, but just make sure apps you install are compatible, also 1.1-1 is for iOS4 and newer basebands, thats why you get the older version

    In general things should be fine but before installing any Cydia apps on iOS4, check the compatibility here - http://modmyi.com/forums/general-iph...lity-list.html

    I think the repo is repo666.ultrasn0w.com, not .org and I might be wrong but the unlock version for iOS4 should be 1.0-1
    theres 2 repo's, and 1.1-1 is the newest version out for iOS4
    Last edited by Will13; 2010-08-15 at 03:09 AM. Reason: Automerged Doublepost
    2010-08-15 03:09 AM
  20. acida's Avatar
    I just upgraded to 4.0.1 and everything is just fine

    i'll let you know if anything goes wrong.

    Thanks for helping me out Will13
    2010-08-15 06:19 AM
49 123
LINK TO POST COPIED TO CLIPBOARD